Cloud APIs
/- Managed Planning Data Foundation
- Core Services
Workflow Service
- Get signed URL of a location that can be shared by tasks
Get details of all workflows ever run
Triggers a workflow execution.
Get details of a specific workflow run instance.
Update the status of a workflow run.
Get signed URL of a locat...
Returns a signed url with read/write access to a location which can be shared between different tasks in a workflow run.
Security
bearer
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflowId}/workflowRun/{runId}/getSignedUrl
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflowId}/workflowRun/{runId}/getSignedUrl
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflowId}/workflowRun/{runId}/getSignedUrl
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflowId}/workflowRun/{runId}/getSignedUrl
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflowId}/workflowRun/{runId}/getSignedUrl
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflowId}/workflowRun/{runId}/getSignedUrl
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflowId}/workflowRun/{runId}/getSignedUrl
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflowId}/workflowRun/{runId}/getSignedUrl
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflowId}/workflowRun/{runId}/getSignedUrl
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflowId}/workflowRun/{runId}/getSignedUrl
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflowId}/workflowRun/{runId}/getSignedUrl
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflowId}/workflowRun/{runId}/getSignedUrl
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-workflow-service/workflow/{workflowId}/workflowRun/{runId}/getSignedUrl
curl -i -X GET \
'https://as5.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflowId}/workflowRun/{runId}/getSignedUrl' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'data-partition-id: string'Response
{ "url": "https://foo.com" }